Name:		anjuta-gdl
Summary:	Components and library for GNOME development tools
Version:	0.7.3
Release:	1%{?dist}
License:	GPL
Group:		Development/Libraries
Source:		http://ftp.gnome.org/pub/GNOME/sources/gdl/0.7/gdl-0.7.3.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL:		http://ftp.gnome.org/pub/GNOME/sources/gdl/0.7/
BuildRequires: 	gtk2-devel, libgnomeui-devel, libbonoboui-devel, libxml2-devel, librsvg2-devel, intltool, gettext, libglade2-devel, libgnome-devel, gsl-devel, plplot-devel, netcdf-devel, hdf-devel, perl(XML::Parser)

%description
This package contains components and libraries that are intended to be
shared between GNOME development tools, including gnome-build and anjuta2.

%package devel
Summary:	Libraries and include files for gdl
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk2-devel, libxml2-devel, libglade2-devel, libgnome-devel, libbonoboui-devel

%description devel
Libraries and header files if you want to make use of the gdl library in your
own programs.

%prep
%setup -q -n gdl-0.7.3

%build
%configure
make 
# parallel build disabled due to build problems

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/gdl/images
make DESTDIR=${RPM_BUILD_ROOT} install
find ${RPM_BUILD_ROOT} -type f -name "*.la" -exec rm -f {} ';'
%find_lang gdl-1

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f gdl-1.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%defattr (-, root, root)
%{_libdir}/libgdl-gnome-1.so.*
%{_libdir}/libgdl-1.so.*
%{_datadir}/gdl

%files devel
%defattr (-, root, root)
%{_includedir}/libgdl-1.0
%{_libdir}/libgdl-gnome-1.so
%{_libdir}/libgdl-1.so
%{_libdir}/pkgconfig/gdl-gnome-1.0.pc
%{_libdir}/pkgconfig/gdl-1.0.pc

%changelog
* Sun Apr 01 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.7.3-1
- bump

* Tue Jan 16 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.7.0-1
- bump
- added BR perl XML parser
- added new libs to both main and devel packages

* Sun Jul 09 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.6.1-4
- fixed the missing -devel package deps properly (thanks Mike)

* Sat Jul 08 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.6.1-3
- spec file fixes
- fixed missing -devel package deps
- fixed post/postun

* Wed May 31 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.6.1-2
- Added addition buildreqs

* Tue May 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.6.1-1
- bump to new version

* Sun Apr 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.6.0-5
- added --disable-static and removed the .a delete line
- very minor spec changes
- added find_lang again
- Thanks to rc040203 -at- freenet.de for spec changes

* Sat Apr 22 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.6.0-4
- Added %%find_lang
- Altered all buildreqs to be -devel
- Added requires gtk2

* Mon Apr 03 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.6.0-3
- Fixes to Requires (made to BuildRequires)

* Tue Feb 21 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.6.0-2
- Multiple fixes to the spec file
- Renamed rpm to anjuta-gdl to avoid conflict with another package called gdl

* Sat Feb 18 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.6.0-1
- Inital import for FC
- Large changes to the original spec file provided in the src file

* Tue Aug 10 2004 Pierre Sarrazin <http://sarrazip.com/>
- Update for version 0.4.0

* Tue Oct 24 2002 Jean Schurger <jschurger@schurger.org>
- Update for gnome 2 version

* Wed Aug 8 2001 Jens Finke <jens@gnome.org>
- created spec file
